Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
Class RenderInputTag

    java.lang.Object
      org.codehaus.groovy.grails.web.taglib.RequestContextTag
          org.codehaus.groovy.grails.web.taglib.RenderInputTag

All Implemented Interfaces:
  GrailsTag

    public class RenderInputTag

extends RequestContextTag

A tag that attempts to render an input for a bean property into an appropriate component based on the type. It uses the templates defined in "grails-app/views/scaffolding" to achieve this by looking up the template by type. Example: `` Produces for Example (unless customised): ``

Since:
  12-Jan-2006
Author:
  Graeme Rocher

Field Summary
`static String` | `PATH_PREFIX`
`static String` | `PATH_SUFFIX`
`static String` | `TAG_NAME`

Fields inherited from class org.codehaus.groovy.grails.web.taglib.RequestContextTag
`applicationContext, attributes, contextPath, grailsApplication, out, registry, request, response, servletContext, urlPathHelper`

Constructor Summary
`protected` | `RenderInputTag()`

Method Summary
`protected void` | `doEndTagInternal()`
`protected void` | `doStartTagInternal()`
`String` | `findUriForType(Class type)`
`Object` | `getBean()`
`String` | `getProperty()`
`boolean` | `isDynamicAttribute(String attr)`
`void` | `setBean(Object bean)`
`void` | `setProperty(String property)`

Methods inherited from class org.codehaus.groovy.grails.web.taglib.RequestContextTag
`doEndTag, doStartTag, getName, getRegistry, init, setAttribute, setAttributes, setWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATH_PREFIX

    public static final String PATH_PREFIX

See Also:
  Constant Field Values

### PATH_SUFFIX

    public static final String PATH_SUFFIX

See Also:
  Constant Field Values

### TAG_NAME

    public static final String TAG_NAME

See Also:
  Constant Field Values

Constructor Detail

### RenderInputTag

    protected RenderInputTag()

Method Detail

### doStartTagInternal

    protected void doStartTagInternal()

  Specified by:
    `doStartTagInternal` in class `RequestContextTag`

### doEndTagInternal

    protected void doEndTagInternal()

  Specified by:
    `doEndTagInternal` in class `RequestContextTag`

### isDynamicAttribute

    public boolean isDynamicAttribute(String attr)

### getBean

    public Object getBean()

### setBean

    public void setBean(Object bean)

### getProperty

    public String getProperty()

### setProperty

    public void setProperty(String property)

### findUriForType

    public String findUriForType(Class type)
                          throws MalformedURLException

  Throws:
    `MalformedURLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project